Package flumotion :: Package worker :: Package checks :: Module encoder
[hide private]

Source Code for Module flumotion.worker.checks.encoder

 1  # -*- Mode: Python -*- 
 2  # vi:si:et:sw=4:sts=4:ts=4 
 3  # 
 4  # Flumotion - a streaming media server 
 5  # Copyright (C) 2004,2005,2006,2007 Fluendo, S.L. (www.fluendo.com). 
 6  # All rights reserved. 
 7   
 8  # This file may be distributed and/or modified under the terms of 
 9  # the GNU General Public License version 2 as published by 
10  # the Free Software Foundation. 
11  # This file is distributed without any warranty; without even the implied 
12  # warranty of merchantability or fitness for a particular purpose. 
13  # See "LICENSE.GPL" in the source distribution for more information. 
14   
15  # Licensees having purchased or holding a valid Flumotion Advanced 
16  # Streaming Server license may use this file in accordance with the 
17  # Flumotion Advanced Streaming Server Commercial License Agreement. 
18  # See "LICENSE.Flumotion" in the source distribution for more information. 
19   
20  # Headers in this file shall remain intact. 
21   
22  import string 
23   
24  from twisted.internet import defer 
25   
26  from flumotion.common import gstreamer, messages 
27  from flumotion.common.i18n import N_, gettexter 
28   
29  __version__ = "$Rev: 6695 $" 
30  T_ = gettexter() 
31   
32   
33 -def checkVorbis():
34 """ 35 Check for a recent enough Vorbis encoder. 36 """ 37 result = messages.Result() 38 version = gstreamer.get_plugin_version('vorbis') 39 if version >= (0,10,0,0) and version < (0,10,3,0): 40 m = messages.Warning(T_( 41 N_("Version %s of the '%s' GStreamer plug-in contains a bug.\n"), 42 string.join([str(x) for x in version], '.'), 'vorbis'), 43 mid='vorbis-check') 44 m.add(T_(N_( 45 "Synchronization between audio and video may not be correct.\n"))) 46 m.add(T_(N_( 47 "Please upgrade '%s' to version %s."), 'gst-plugins-base', 48 '0.10.3')) 49 result.add(m) 50 51 result.succeed(None) 52 return defer.succeed(result)
53
54 -def checkTheora():
55 """ 56 Check for a recent enough Theora encoder. 57 """ 58 result = messages.Result() 59 version = gstreamer.get_plugin_version('theora') 60 if version >= (0,10,0,0) and version < (0,10,3,0): 61 m = messages.Warning(T_( 62 N_("Version %s of the '%s' GStreamer plug-in contains a bug.\n"), 63 string.join([str(x) for x in version], '.'), 'theora'), 64 mid='theora-check') 65 m.add(T_(N_( 66 "Synchronization between audio and video may not be correct.\n"))) 67 m.add(T_(N_( 68 "Please upgrade '%s' to version %s."), 'gst-plugins-base', 69 '0.10.3')) 70 result.add(m) 71 72 result.succeed(None) 73 return defer.succeed(result)
74